## net.i2p.data.i2cp
Class I2CPMessageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.i2p.I2PException
                  net.i2p.data.i2cp.I2CPMessageException

All Implemented Interfaces:
  Serializable

    public class I2CPMessageException

extends I2PException

Represent an error serializing or deserializing an APIMessage

Author:
  jrandom
See Also:
  Serialized Form

Constructor Summary
`I2CPMessageException(String message)`
`I2CPMessageException(String message, Throwable parent)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### I2CPMessageException

    public I2CPMessageException(String message,
                                Throwable parent)

### I2CPMessageException

    public I2CPMessageException(String message)